Changeset 147393


Ignore:
Timestamp:
Apr 2, 2016, 11:56:15 PM (4 years ago)
Author:
devans@…
Message:

libpeas: update to version 1.18.0, add +python35 variant, default to +python34.

Location:
trunk/dports/gnome/libpeas
Files:
2 edited

Legend:

Unmodified
Added
Removed
  • trunk/dports/gnome/libpeas

  • trunk/dports/gnome/libpeas/Portfile

    r140851 r147393  
    66
    77name                libpeas
    8 version             1.16.0
     8version             1.18.0
    99license             LGPL-2
    1010set branch          [join [lrange [split ${version} .] 0 1] .]
     
    1919use_xz              yes
    2020
    21 checksums           rmd160  b5c5119567025a3b8dee5ceaaf15b0942b4706b6 \
    22                     sha256  b093008ecd65f7d55c80517589509698ff15ad41f664b11a3eb88ff461b1454e
     21checksums           rmd160  c450655ecce08a6815cdda58d9f46e7fd6eac0c3 \
     22                    sha256  bf49842c64c36925bbc41d954de490b6ff7faa29b45f6fd9e91ddcc779165e26
    2323
    2424depends_build       port:pkgconfig \
     
    7272# python3 minimum version is 3.2.0
    7373
    74 variant python34 description {Enable Python 3.4 plugin support} {
     74variant python34 conflicts python35 description {Enable Python 3.4 plugin support} {
    7575    depends_lib-append          port:py34-gobject3
    7676    set python_prefix           ${frameworks_dir}/Python.framework/Versions/3.4
     
    8282}
    8383
    84 default_variants +python34
     84variant python35 conflicts python34 description {Enable Python 3.5 plugin support} {
     85    depends_lib-append          port:py35-gobject3
     86    set python_prefix           ${frameworks_dir}/Python.framework/Versions/3.5
     87    configure.pkg_config_path   ${python_prefix}/lib/pkgconfig
     88    configure.python            ${prefix}/bin/python3.5
     89    configure.env-append        PYTHON3_CONFIG=${prefix}/bin/python3.5-config
     90    configure.cflags-append     -L${python_prefix}/lib
     91    configure.args-replace      --disable-python3 --enable-python3
     92}
     93
     94if {![variant_isset python35]} {
     95    default_variants +python34
     96}
    8597
    8698# glade expects catalog modules and libraries to have a .so suffix
Note: See TracChangeset for help on using the changeset viewer.